package com.engine.sship.web;

import com.engine.common.util.ServiceUtil;
import com.engine.sship.entity.ChartChildrensVO;
import com.engine.sship.service.OrgChartService;
import com.engine.sship.service.impl.OrgChartServiceImpl;
import com.engine.sship.util.ResponseResult;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;


/**
 * @Author liang.cheng
 * @Date 2023/9/26 5:51 PM
 * @Description: 组织架构图
 * @Version 1.0
 */
public class OrgChartController {

    private OrgChartService getOrgChartService(User user) {
        return ServiceUtil.getService(OrgChartServiceImpl.class,user);
    }


    @GET
    @Path("/resource")
    @Produces(MediaType.APPLICATION_JSON)
    public String selectResourceChart(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        return new ResponseResult<String, ChartChildrensVO>(user).run(getOrgChartService(user) :: selectResourceChart);
    }



}
